function [result] = cgerror(fest, hest, g, gm, reg_matrix, error_matrix)
% Calculates the error for the given f estimate, hi estimates and observed
% data di.  An energy constraint (Tikhonov-Miller regularization) is 
% imposed on f.
% Error = sum(sum((conv2(fest, hest) - d).^2)) + sum(sum(reg_matrix.*(fest.^2)))
% Usage : [result] = cgerror(fest, hest, g, gm, reg_matrix, error_matrix);
% Rachel Johnston, 21/9/98

error = zeros(1,1);
no_frames = size(g,3);
for i = 1:no_frames
	estimate(:,:,i) = real(ifft2(fft2(fest).*fft2(hest(:,:,i)))).*gm;
	error = error + sum(sum((estimate(:,:,i) - g(:,:,i)).^2));
end

result = error + sum(sum(reg_matrix.*(fest.^2)));
