function [Cn2, r0] = ProcessScidar(file);
%
% Batch file implementation of processing scripts
% No parameter look up as read from header txt files
%
% INPUTS: file= file containing data.
%
% Error checking should be performed by Matlab hence no error handles on function calls
% Mo 12/07/02 crw99@ic.ac.uk

cd C:\SCIDAR\matlab\Temp;

i=0;
count=0;
Hfile='Empty';
for i=1:size(file,2)
    if file(1,i)=='_'
        count=i;
    end
end
Hfile=file(1,1:(count-1));
ext='.txt';
Hfile=strcat(Hfile,ext);

fid=fopen(Hfile,'r');
if fid==0
    disp('No header file found! Ensure you have copied file across to local machine');
end
i=0;
count=0;

for i=1:3
temp=fgetl(fid);
end

str=fgetl(fid);
fclose(fid);
for i=1:size(str,2)
    if str(1,i)==',';
        count=i;
    end
end


if (str(count+1)~=' ') | count==0
    disp('Error in header file format, please enter parameters manually: ')
    zenith=input('Angle from Zenith');
    sep=input('Angular separation of star');
    magdiff=input('Magnitude difference');
    conj=input('Conjugate height');
else
    strshort=str(count+2:size(str,2));
    clear str;
    [zenith,sep,magdiff,conj]=strread(strshort,'%f%f%f%f');
end
parameters=[zenith, sep, magdiff, 1/122, conj];

name_base=file(1:size(file,2)-4);

ext1='_auto_2';
ext2='_nrm_0_1';

fileauto=strcat(name_base,ext1);
filenrm=strcat(name_base,ext2);

if conj~=0
    disp('Entering generalised mode');
    [Cn2,r0]=SCIDARProcessGen2ASCII(file,2000,fileauto,filenrm,parameters,0.01,'fftw');
end
if conj==0
    disp('Entering Nongeneralised mode');
    [Cn2,r0]=SCIDARProcess2ASCII(file,2000,fileauto,parameters,0.01,'fftw');
end
