function [S, binary_pos] = autoslice_2001(AC, ns_h, h, scidar_defocus, dr, zenith, binary_sep, alpha);

% Now convert the data to polar coordinates using Johns code
y = -128:127;         % Set up coordinates for displaying image
x = y;

AC = AC*(((1+alpha)^2)/alpha);

theta_step=1.0/127.0;
%theta_step=2*pi/200;
theta = [0:theta_step:2*pi];
r=[0:1:126];
ac_pol=xy2rth(x,y,AC,r,theta);

figure(1) 
imagesc(abs(log10(1+ac_pol)));grid;

% FIND DIRECTION OF BINARY now in polar coordinates
% we only need to find the position of the binary

r_mask = input('Input the full radius of the central autocorrelation peak estimated from the image in FIGURE 1  ')

mask=ac_pol;
mask(:,1:r_mask)=0;

figure(1);

imagesc(mask);grid

scan_val=input('Enter radius position to scan for secondary maximum')
scan=ac_pol(:,scan_val);
[a,max_pos]=max(scan)
str=sprintf('Max position %0.0f ',max_pos);
title(str);
pause(0);

% Now we want to extract the data +- pi/2 around the maximum point
figure(2);

sect_range=(pi/2)/theta_step;
t=floor(max_pos+sect_range);
b=floor(max_pos-sect_range);
% Check we are not going to fall out of the data
if ((b<1) | (t > 798))
   % Need to do some fix
   ac_pol2=[ac_pol;ac_pol];
   if(b<1)
      max_pos=max_pos+798;
      t=floor(max_pos+sect_range);
		b=floor(max_pos-sect_range);
		ac_pol2=[ac_pol;ac_pol];
   end
	ac_pol_section=ac_pol2(b:t,:);
   
else
	ac_pol_section=ac_pol(b:t,:);
end

mask=ac_pol_section;
mask(:,1:5)=0;

imagesc(abs(log(1+mask)));grid;

%Accuratly locate the centre of the grid
%Rescan, look for only the data > max/2 do a centroid on that

scan=ac_pol_section(:,scan_val);
val=((max(scan)-min(scan))/2)+min(scan);
scan_val=(scan > val ) .* scan;

sm=sum(scan_val);
sz=ceil(sect_range)*2;
x=1:sz;
sx=sum(x' .* scan_val);

%Now have an accurate position for the binary position
binary_pos=round(sx/sm);

Proj_parr=ac_pol_section(binary_pos,:);

box_size=12;
t=binary_pos+box_size;
b=binary_pos-box_size;

%Now extract all the unwanted data and sum it as noise
noise=ac_pol_section;
noise(b:t,:)=0;

Proj_noise=sum(noise);
%Normalize
Proj_noise =Proj_noise / (sz-((2*box_size)+1));
out=Proj_parr-Proj_noise;
sz=size(out,2);

figure;
subplot(2,1,1);
plot(Proj_parr,'r');
hold on
plot(Proj_noise,'g');
hold off
subplot(2,1,2);
plot(out);

figure

ac=zeros(1,ns_h);
if(ns_h>=127)
	ac(1:127)=out;
else
   ac=out(1:ns_h);
end

S=ac;

S=(ac > 0 ) .* S;
hh=((h/1000)-scidar_defocus);
bar(hh,S);
figure(4);

% No manually set top and bottom limits
% Do manual top and bottom thresholding of the data

top=input('Top limit:  ');
if(~isempty(top))
	v=(hh<=top);
   S=S .* v;
   bar(hh,S);
   ax=axis;
   ax(2)=top;
   axis(ax);
else
	top=max(hh);
end

figure(4);
base=input('base limit:  ');
if(~isempty(base))
	v=(hh>=base);
   S=S .* v;
   bar(hh,S);
   ax=axis;
   ax(1)=base;
   ax(2)=top;
   axis(ax);
else
   base=min(hh);
end

figure(4);         
pause(0);
block_name = 'saao2000_run1';
oname = 'saao2000_run1_slice';

%save(oname,'h','ac','S','top','base','scidar_defocus','max_pos','block_name','dr','zenith','binary_sep','ns_h');


%Now we have the cleaned output data in out
clear top
clear base

old_def=scidar_defocus;
old_zen=zenith;
old_binary=binary_sep;

