function [Tfull] = genTmat(zenith, binary_sep, dr, scidar_defocus, r, h);
% Generates T matrices required for Cn2h estimation
%
% function [Tfull, Treduced] = genTmat(zenith, binary_sep, dr, scidar_defocus, factor);
%
% Inputs:	    zenith 			- zenith angle(degrees)
%				binary_sep		- binary star separation (arcseconds)
%				dr				- pupil scale	(metres pix-1)
%				scidar_defocus	- generalised SCIDAR defocus (km)
%				
% Outputs:	    Tfull				- full T matrix
%
% Usage:		[Tfull] = genTmat(12.01, 10.3, 1/128, 0);	
%
% Rachel Johnston, 22/4/99 

wavelength = 589e-9;		% wavelength (m)

Tfull = tmatrix(zenith, binary_sep, r, h, wavelength);
